# Тема 3 "Зеленкина Ксения Михайловна"
# Общее контрольное задание

## 1.
res = int('45', 8)
print(res)

## 2.
dir = {"усиление":23, "запаздывание":12, "постоянная времени":78}
key = dir.keys()
val = dir.values()
lk = list(key)
lv = list(val)
kort = tuple(lk + lv)
print(kort)
print(type(kort))

## 3.
print(pow(((1768 // 24.8) % 3), 2.4))

## 4.
print(((~(13 & 27)) ^ 14) << 2)

## 5.
spis = ['колебат'] * 4
cs = spis[1] + spis[2]
if 'аткол' in cs:
    print("Комбинация 'аткол' найдена в конкатенации.")
else:
    print("Комбинация 'аткол' не найдена в конкатенации.")

## 6.
D = {'a': 1, 'b': 2, 'c': 3}
#print(dir(D))
k = D.keys()
print(k)
print(type(k))
print(list(k))

v = D.values()
print(v)
print(type(v))
print(list(v))

## 7.
stroka = 'Создать объект - символьную строку с текстом данного предложения'
l = stroka.split(' ')
print(l)
a = l.index('-')
l[a] = ','
l.remove('данного')
print(l)